Package weka.classifiers

# Interface Sourcable

All Known Implementing Classes:
  `AdaBoostM1`, `DecisionStump`, `Id3`, `J48`, `J48graft`, `LogitBoost`, `MultiBoostAB`, `OneR`, `REPTree`, `ZeroR`

public interface Sourcable
Interface for classifiers that can be converted to Java source.

Version:
  $Revision: 1.6 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`String`
`toSource(String className)`
Returns a string that describes the classifier as source.

## Method Details

### toSource

String toSource(String className) throws Exception
Returns a string that describes the classifier as source. The classifier will be contained in a class with the given name (there may be auxiliary classes), and will contain a method with the signature:

     public static double classify(Object [] i);

where the array `i` contains elements that are either Double, String, with missing values represented as null. The generated code is public domain and comes with no warranty.

Parameters:
  `className` - the name that should be given to the source class.
Returns:
  the object source described by a string
Throws:
  `Exception` - if the source can't be computed